#!/bin/sh
if [ -f totalen.tsv ]; then rm totalen.tv; fi
for AANTAL in 10 20 50 100 200 500 1000 2000 5000
do
	echo "Serie berekeningen; AANTAL = $AANTAL"
	sed -E -i "s/#define AANTAL.+/#define AANTAL $AANTAL/" virusimnet.c
	gcc -lm -Wall virusimnet.c -o virusimnet
	./virusimnet
	echo "Graphviz werkt nu..."
	#dot -Tpng virusimnet.dot -o virusimnet.png
	mkdir -p $AANTAL
	rm -rf $AANTAL/*
	cat virusimnet.tsv >> totalen.tsv
	for EXT in tsv dot png
	do
		mv virusimnet.$EXT $AANTAL/
	done
done
echo "Klaar."

